<template>
    <v-container id="thank-you-page-container"
                 class="pt-12"
                 fluid>
        <h1>{{ thankYouTitle }}</h1>
        <p>
            {{ thankYouText }}
        </p>
        <router-link :to="{name: 'Home'}">
            <v-btn color="#FD1D1D" dark>
                Go to Home Page
            </v-btn>
        </router-link>
    </v-container>
</template>

<script>

export default {
    name: 'ThankYou',
    data: () => ({
        thankYouTitle: 'Thank You!',
        thankYouText: 'Your subscription is on it\'s way to your email. In maximum 24 hours you\'ll be in contact with your account manager.'
    }),
    beforeCreate() {
        if (!this.$store.getters.getThankYouPageValue) {
            this.$router.replace('/404')
        }
    },
}
</script>
